import { IncomingHttpHeaders, IncomingMessage } from 'node:http';

interface Options {
    destination: string;
    maxFileSize: number;
    maxChunkSize: number;
    allowedExtensions?: string[];
    blockedExtensions?: string[];
    debug?: boolean;
}
interface Result {
    isChunkedUpload: boolean;
    ready?: boolean;
    path?: string;
    metadata: Record<string, string>;
}
declare const checkIfUuid: (headers: IncomingHttpHeaders) => boolean;
declare const checkHeaders: (headers: IncomingHttpHeaders) => boolean;
declare const processFile: (req: IncomingMessage, options: Options) => Promise<Result>;

export { checkHeaders, checkIfUuid, processFile };
